> ## Documentation Index
> Fetch the complete documentation index at: https://docs.speccheckrx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Access Token

> Creates a bearer token for API authentication.

```http theme={null}
POST https://api.speccheckrx.com/v1/oauth/token
```

### Body

<ParamField body="client_id" type="string" required="true">
  The client ID that identifies your application.
</ParamField>

<ParamField body="client_secret" type="string" required="true">
  The client secret for your application.
</ParamField>

### Returns

Returns an object with a `token` for authenticating subsequent API requests.

<ResponseField name="token" type="string">
  The bearer token. Include this value in the `Authorization` header as `Bearer <token>` on subsequent requests. Expires after 24 hours. As a best practice, request a new token before each API call.
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "token": "tok_123"
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://api.speccheckrx.com/v1/oauth/token" \
    -H "Content-Type: application/json" \
    -d '{
      "client_id": "{{CLIENT_ID}}",
      "client_secret": "{{CLIENT_SECRET}}"
    }'
  ```
</RequestExample>
